# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(URI.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.00001
%define module_name URI-Match
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00001
Release: alt1
Summary: Match URLs By Parts
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a simple utility that adds ability to match URL parts against
regular expressions, subroutines, or objects that implement a match() method.

Since this module uses loops and method calls, writing up a clever regular
expression and using it directly against the whole URL is probably faster.
This module aims to solve the problem where readability matters, or when you
need to assemble the match conditions at run time.

URI::Match adds the following methods to the URI namespace.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/U*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.00001-alt1
- initial import by package builder

